#! /bin/sh

# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: dtoc.sh 1.5 89/10/10 $@(#)graf:src/toc.d/dtoc.sh	1.3"
:	dtoc [directory name]
:	program to generate a directory table of contents
:
BIN=/usr/bin/graf
if [ "$1" != "" ]
then
	cd $1
fi
if [ "$2" !=  "" ]
then
	j=$2
	i=`echo $2 | sed "s/^0\.//"`
else
	j=0.
	i=0.
fi
ls -al >/tmp/dtoc$$
ftot=`grep -c "^-" </tmp/dtoc$$`
echo "$i\t\"`pwd | sed "s/.*\\///"`\"\t$ftot"
seat=0
for child in `grep "^d" </tmp/dtoc$$ | cut -c40- | sed "/ *\.\.*$/d"`
do
	if [ -r $child ]
	then
:	compose the box markers
		seat=`expr $seat + 1`
		$BIN/dtoc $child  $j$seat.
	fi
done
rm /tmp/dtoc$$
exit
